Bug 782995 - X server crashes
Summary: X server crashes
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vmware
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 785572 799010 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-19 01:48 UTC by nucleo
Modified: 2015-02-17 14:03 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 14:03:22 UTC


Attachments (Terms of Use)
X server log (7.66 KB, text/plain)
2012-01-19 01:48 UTC, nucleo
no flags Details
X server log (7.51 KB, text/plain)
2012-01-19 02:08 UTC, nucleo
no flags Details
Xorg.0.log for xdriver=vesa (8.56 KB, text/plain)
2012-01-22 00:20 UTC, nucleo
no flags Details
Xoer.0.log with xdriver=vesa(no crash) (67.31 KB, text/plain)
2012-01-31 00:17 UTC, nucleo
no flags Details
Xoer.0.log with vmware driver (8.85 KB, text/plain)
2012-01-31 00:18 UTC, nucleo
no flags Details
Xorg.0.log for xf86-video-vmware-11.99.901 (8.19 KB, text/plain)
2012-03-02 23:19 UTC, nucleo
no flags Details
log for xorg-x11-drv-vmware-11.0.3-14.fc17 (8.41 KB, text/plain)
2012-03-15 14:21 UTC, nucleo
no flags Details
crash for xf86-video-vmware-12.0.1 (7.89 KB, text/plain)
2012-03-15 14:31 UTC, nucleo
no flags Details
Fixes Xorg VMware driver (401 bytes, patch)
2012-03-17 00:00 UTC, Andrew Wilcox
no flags Details | Diff
Xorg.0.log for xf86-video-vmware-11.0.3 with default mode 1024x768 (25.61 KB, text/plain)
2012-03-19 21:20 UTC, nucleo
no flags Details
Xorg.0.log for xf86-video-vmware-12.0.1 with default mode 1920x1440 (29.22 KB, text/plain)
2012-03-19 21:21 UTC, nucleo
no flags Details
Crashing X log from F17 final (29.02 KB, text/plain)
2012-05-30 23:21 UTC, Joshua Bowman
no flags Details

Description nucleo 2012-01-19 01:48:46 UTC
Created attachment 556159 [details]
X server log

Description of problem:
X server crashes in vmware.

Version-Release number of selected component (if applicable):
xorg-x11-server-1.11.99.901-2.20120103.fc17
xorg-x11-drv-vmware-11.0.3-10.fc17
xorg-x11-drv-vmmouse-12.7.0-6.fc17

Comment 1 nucleo 2012-01-19 02:08:40 UTC
Created attachment 556160 [details]
X server log

Comment 2 nucleo 2012-01-22 00:20:56 UTC
Created attachment 556729 [details]
Xorg.0.log for xdriver=vesa

X server also crashes with xdriver=vesa.

Comment 3 nucleo 2012-01-22 02:07:07 UTC
Downgrading to xorg* from Fedora 16 is the only way to start X server in Rawhide.

Comment 4 nucleo 2012-01-25 04:42:41 UTC
Last build xorg-x11-server-1.11.99.901-3.20120124.fc17 also crashes.

Comment 5 nucleo 2012-01-31 00:17:24 UTC
Created attachment 558490 [details]
Xoer.0.log with xdriver=vesa(no crash)

No crash on last nightly CD with xdriver=vesa.

Comment 6 nucleo 2012-01-31 00:18:05 UTC
Created attachment 558491 [details]
Xoer.0.log with vmware driver

But still crashes if vmware driver used.

Comment 7 nucleo 2012-02-02 18:46:48 UTC
So if crash fixed for vesa can it be fixed for vmware?

Comment 8 nucleo 2012-03-02 23:19:41 UTC
Created attachment 567190 [details]
Xorg.0.log for xf86-video-vmware-11.99.901

I tried last driver but it also crashes http://xorg.freedesktop.org/releases/individual/driver/xf86-video-vmware-11.99.901.tar.bz2

Comment 9 nucleo 2012-03-05 17:27:30 UTC
xorg-x11-server-1.12.0-1.fc17 also crashes.

Comment 10 Jan Kratochvil 2012-03-08 05:10:37 UTC
This *probably* is the reason Anaconda does not start in qemu-kvm -vga vmware:
F17 Alpha and VMWare Fusion
http://lists.fedoraproject.org/pipermail/devel/2012-March/163675.html

qemu-kvm -cdrom Fedora-17-Alpha-x86_64-DVD.iso -boot d -m 2048 -vga vmware
fails to initialize X and falls back to text.

It works with any of -vga cirrus/std/qxl.

Comment 11 Jan Kratochvil 2012-03-10 01:24:27 UTC
Program received signal SIGSEGV, Segmentation fault.
0x0000000000000000 in ?? ()
(gdb) bt
#0  0x0000000000000000 in ?? ()
#1  0x00007fc2ecdbefe3 in vgaHWSaveColormap (scrninfp=0x1a17cb0,
                                             save=0x1a21508) at vgaHW.c:1076
#2  0x00007fc2ecdc093d in vgaHWSave (scrninfp=scrninfp@entry=0x1a17cb0,
                          save=0x1a21508, flags=flags@entry=7) at vgaHW.c:1155
#3  0x00007fc2ecfc8514 in VMWARESave (pScrn=0x1a17cb0) at vmware.c:1061
#4  VMWAREPreInit (pScrn=0x1a17cb0, flags=<optimized out>) at vmware.c:674
#5  VMWAREPreInit (pScrn=0x1a17cb0, flags=<optimized out>) at vmware.c:600
#6  0x00000000004843cc in InitOutput (pScreenInfo=pScreenInfo@entry=0x7de1c0,
          argc=argc@entry=1, argv=argv@entry=0x7fffa3f70558) at xf86Init.c:580
#7  0x0000000000423246 in main (argc=1, argv=0x7fffa3f70558,
                                envp=<optimized out>) at main.c:204
(gdb) up
#1  0x00007fc2ecdbefe3 in vgaHWSaveColormap (scrninfp=0x1a17cb0,
                                             save=0x1a21508) at vgaHW.c:1076
1076	    hwp->writeDacMask(hwp, 0xFF);
(gdb) l
1071	
1072	#if 0
1073	    hwp->enablePalette(hwp);
1074	#endif
1075	
1076	    hwp->writeDacMask(hwp, 0xFF);
1077	
1078	    /*
1079	     * check if we can read the lookup table
1080	     */
(gdb) p hwp
$1 = (struct _vgaHWRec *) 0x1a214c0
(gdb) p hwp->writeDacMask
$2 = (vgaHWWriteProcPtr) 0

Comment 12 nucleo 2012-03-10 22:22:10 UTC
And last driver xf86-video-vmware-12.0.0.tar.bz2 crashes.

Comment 13 nucleo 2012-03-13 01:29:24 UTC
Driver from this update also crashes https://admin.fedoraproject.org/updates/FEDORA-2012-3630/xorg-x11-drv-vmware-11.0.3-14.fc17

Comment 14 nucleo 2012-03-15 12:40:13 UTC
The same crash with xf86-video-vmware-12.0.1.tar.bz2

Comment 15 Adam Jackson 2012-03-15 14:07:17 UTC
(In reply to comment #13)
> Driver from this update also crashes
> https://admin.fedoraproject.org/updates/FEDORA-2012-3630/xorg-x11-drv-vmware-11.0.3-14.fc17

You sure about that?  Can you attach the log, or is it the same as before?  That update is meant to fix this exact bug.

Comment 16 nucleo 2012-03-15 14:21:46 UTC
Created attachment 570308 [details]
log for xorg-x11-drv-vmware-11.0.3-14.fc17

Comment 17 nucleo 2012-03-15 14:31:44 UTC
Created attachment 570310 [details]
crash for xf86-video-vmware-12.0.1

Comment 18 Andrew Wilcox 2012-03-17 00:00:09 UTC
Created attachment 570739 [details]
Fixes Xorg VMware driver

This patch fixes xorg-x11-drv-vmware, at least in Rawhide.  I can boot into KDM and use X11 applications.  Have not tested 3D accel.  Have not tested in Fedora 17, but should apply.

Comment 19 nucleo 2012-03-17 00:13:29 UTC
(In reply to comment #18)
> Created attachment 570739 [details]
> Fixes Xorg VMware driver
> 
> This patch fixes xorg-x11-drv-vmware, at least in Rawhide.  I can boot into KDM
> and use X11 applications.  Have not tested 3D accel.  Have not tested in Fedora
> 17, but should apply.

I confirm that this patch fixes crash.

Comment 20 nucleo 2012-03-17 01:33:54 UTC
xf86-video-vmware-12.0.1 works fine both in Rawhide and F17 but except one problem: default screen size set too large 1920x1440.

Comment 21 nucleo 2012-03-17 01:46:13 UTC
(In reply to comment #20)
> xf86-video-vmware-12.0.1 works fine both in Rawhide and F17 but except one
> problem: default screen size set too large 1920x1440.

I mean built with patch from Comment 19.

No screen size problem with xorg-x11-drv-vmware-11.0.3 built for F17 with patch from Comment 19.

Comment 22 Andrew Wilcox 2012-03-17 22:40:14 UTC
(In reply to comment #20)
> xf86-video-vmware-12.0.1 works fine both in Rawhide and F17 but except one
> problem: default screen size set too large 1920x1440.

I think this may be related to settings, because my default screen size is 1280x768 using 12.0.1 + patch on Rawhide.  I'm running VMware Fusion 3.1.3 (equivalent to Workstation 7.x); it could also be that your version of VMware has different defaults to mine.

Comment 23 nucleo 2012-03-17 22:48:00 UTC
(In reply to comment #22)
> (In reply to comment #20)
> > xf86-video-vmware-12.0.1 works fine both in Rawhide and F17 but except one
> > problem: default screen size set too large 1920x1440.
> 
> I think this may be related to settings, because my default screen size is
> 1280x768 using 12.0.1 + patch on Rawhide.  I'm running VMware Fusion 3.1.3
> (equivalent to Workstation 7.x); it could also be that your version of VMware
> has different defaults to mine.

I removed xorg.conf so settings are from autoconfigiration.
This can be related only with vmwlegacy (which is integrated with vmware driver in 12.0.1). There was already some fixes for vmware/legacy but it still broken:
http://cgit.freedesktop.org/xorg/driver/xf86-video-vmware/commit/?id=c5c38bab8c493985349356be5fadc14d3aee8040

Comment 24 nucleo 2012-03-19 21:20:42 UTC
Created attachment 571232 [details]
Xorg.0.log for xf86-video-vmware-11.0.3 with default mode 1024x768

Comment 25 nucleo 2012-03-19 21:21:17 UTC
Created attachment 571234 [details]
Xorg.0.log for xf86-video-vmware-12.0.1 with default mode 1920x1440

Comment 26 Rick Elrod 2012-03-21 04:41:08 UTC
*** Bug 799010 has been marked as a duplicate of this bug. ***

Comment 27 Rick Elrod 2012-03-21 04:41:51 UTC
*** Bug 785572 has been marked as a duplicate of this bug. ***

Comment 28 Pedro Lamarão 2012-04-02 14:57:41 UTC
Latest update fixed for me, using ESXi 4.1.0 and vSphere Cliente 4.1.0

Comment 29 Reinier Balt 2012-04-18 11:38:27 UTC
fc17beta ships with xorg-x11-drv-vmware-11.0.3-13.fc17. You cannot start X with vmware with the live cd in fc 17 beta. Running yum -y update xorg\* pulls in 12.0.1-2 after which you can start x.

Comment 30 Joshua Bowman 2012-05-30 23:20:48 UTC
It looks like the final comes with 12.0.2-1, but it still crashes on startup after displaying the wallpaper for me. vSphere 4.1, using the console. However, I CAN run startx from ssh and the console desktop loads up immediately, then goes down again when I stop X (of course). Interesting.

The working and non-working logs were nearly identical except that the failing one has more detail while loading drivers. I'm uploading it here.

Comment 31 Joshua Bowman 2012-05-30 23:21:58 UTC
Created attachment 587873 [details]
Crashing X log from F17 final

Comment 32 Philippe Mazaingue 2012-06-06 12:52:42 UTC
Having the same problem with F17 final and vSphere 4.0 U3

Any solution ?

Comment 33 Philippe Mazaingue 2012-06-06 14:33:39 UTC
Crashing apparently limited to login window.

If you set auto-login for your user-account, it works..

Comment 34 Fedora End Of Life 2013-04-03 18:03:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 35 Michael Richmond 2013-04-30 23:16:02 UTC
Possibly related to Bug 956325

Comment 36 Fedora End Of Life 2015-01-09 16:57:24 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 37 Fedora End Of Life 2015-02-17 14:03:22 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.